Index: sansmodels/src/sans/models/test/utest_nonshape.py
===================================================================
--- sansmodels/src/sans/models/test/utest_nonshape.py	(revision 6b8399ba6f840075c71fccde6915bea025074451)
+++ sansmodels/src/sans/models/test/utest_nonshape.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
@@ -42,6 +42,8 @@
         self.model.setParam('rg', 1.0)
         
-        value = self._func(2.0, 1.0, 1.0)*self._func(2.0, 1.0, 2.0)
-        self.assertEqual(self.model.runXY([0.0,0.0]), 2.0*2.0)
+        #value = self._func(2.0, 1.0, 1.0)*self._func(2.0, 1.0, 2.0)
+        value = self._func(2.0, 1.0, math.sqrt(5.0))
+        #self.assertEqual(self.model.runXY([0.0,0.0]), 2.0*2.0)
+        self.assertEqual(self.model.runXY([0.0,0.0]), 2.0)
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
         
@@ -55,5 +57,6 @@
         phi = math.atan2(y, x)
         
-        value = self._func(2.0, 1.0, x)*self._func(2.0, 1.0, y)
+        #value = self._func(2.0, 1.0, x)*self._func(2.0, 1.0, y)
+        value = self._func(2.0, 1.0, r)
         
         #self.assertEqual(self.model.run([r, phi]), value)
@@ -83,14 +86,16 @@
         
     def test2D(self):
-        value = self._func(2.0, 1.0)*self._func(2.0, 2.0)
-        self.assertEqual(self.model.runXY([1.0,2.0]), value)
-        
-    def test2Dphi(self):
-        x = 1.0
-        y = 2.0
-        r = math.sqrt(x**2 + y**2)
-        phi = math.atan2(y, x)
-        
-        value = self._func(2.0, 1.0)*self._func(2.0, 2.0)
+        #value = self._func(2.0, 1.0)*self._func(2.0, 2.0)
+        value = self._func(2.0, math.sqrt(5.0))
+        self.assertEqual(self.model.runXY([1.0,2.0]), value)
+        
+    def test2Dphi(self):
+        x = 1.0
+        y = 2.0
+        r = math.sqrt(x**2 + y**2)
+        phi = math.atan2(y, x)
+        
+        #value = self._func(2.0, 1.0)*self._func(2.0, 2.0)
+        value = self._func(2.0, r)
         self.assertAlmostEquals(self.model.run([r, phi]), value,1)
         
@@ -127,5 +132,6 @@
         
     def test2D(self):
-        value = self._func(50.0, 1.0, 0.001, 1.0)*self._func(50.0, 1.0, 0.001, 2.0)
+        #value = self._func(50.0, 1.0, 0.001, 1.0)*self._func(50.0, 1.0, 0.001, 2.0)
+        value = self._func(50.0, 1.0, 0.001, math.sqrt(5.0))
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
         
@@ -172,5 +178,6 @@
         self.model.setParam('background', 1.0)
         
-        value = self._func(100.0, 50.0, 1.0, 1.0)*self._func(100.0, 50.0, 1.0, 2.0)    
+        #value = self._func(100.0, 50.0, 1.0, 1.0)*self._func(100.0, 50.0, 1.0, 2.0)    
+        value = self._func(100.0, 50.0, 1.0, math.sqrt(5.0))  
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
         
@@ -220,5 +227,6 @@
         
     def test2D(self):
-        value = self._func(self.scale, self.length, self.back, 1.0)*self._func(self.scale, self.length, self.back, 2.0)    
+        #value = self._func(self.scale, self.length, self.back, 1.0)*self._func(self.scale, self.length, self.back, 2.0)    
+        value = self._func(self.scale, self.length, self.back, math.sqrt(5.0))
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
         
@@ -272,6 +280,7 @@
         self.model.setParam('background', 1.0)
         
-        value = self._func(math.exp(-6), 4.0, 1.0, 1.0)\
-        *self._func(math.exp(-6), 4.0, 1.0, 2.0)    
+        #value = self._func(math.exp(-6), 4.0, 1.0, 1.0)\
+        #*self._func(math.exp(-6), 4.0, 1.0, 2.0)    
+        value = self._func(math.exp(-6), 4.0, 1.0, math.sqrt(5.0))
         
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
@@ -332,6 +341,7 @@
         self.model.setParam('scale', 0.1)
         self.model.setParam('background', 0.1)
-        value = self._func(0.1,-30.0,5000.0,0.1, 1.0)\
-        *self._func(0.1,-30.0,5000.0,0.1, 2.0)    
+        #value = self._func(0.1,-30.0,5000.0,0.1, 1.0)\
+        #*self._func(0.1,-30.0,5000.0,0.1, 2.0)    
+        value = self._func(0.1,-30.0,5000.0,0.1, math.sqrt(5.0))
         
         self.assertEqual(self.model.runXY([1.0,2.0]), value)
@@ -348,6 +358,7 @@
         phi = math.atan2(y, x)
         
-        value = self._func(0.1,-30.0,5000.0,0.1, x)\
-        *self._func(0.1,-30.0,5000.0,0.1, y)
+        #value = self._func(0.1,-30.0,5000.0,0.1, x)\
+        #*self._func(0.1,-30.0,5000.0,0.1, y)
+        value = self._func(0.1,-30.0,5000.0,0.1, r)
         self.assertAlmostEquals(self.model.run([r, phi]), value,1)
         
@@ -415,14 +426,15 @@
          
     def test2D(self):
-        self.assertAlmostEquals(self.model.runXY([1.0,2.0]), self._func(1.0)*self._func(2.0), 8)
-        
-    def test2Dphi(self):
-
-        x = 1.0
-        y = 2.0
-        r = math.sqrt(x**2 + y**2)
-        phi = math.atan2(y, x)
-        
-        self.assertAlmostEquals(self.model.run([r, phi]), self._func(x)*self._func(y), 8)
+        #self.assertAlmostEquals(self.model.runXY([1.0,2.0]), self._func(1.0)*self._func(2.0), 8)
+        self.assertAlmostEquals(self.model.runXY([1.0,2.0]), self._func(math.sqrt(1.0+2.0**2)), 8)
+        
+    def test2Dphi(self):
+
+        x = 1.0
+        y = 2.0
+        r = math.sqrt(x**2 + y**2)
+        phi = math.atan2(y, x)
+        
+        self.assertAlmostEquals(self.model.run([r, phi]), self._func(r), 8)
         
 class TestFractalModel(unittest.TestCase):
@@ -493,6 +505,8 @@
         iq_y = self._func(y)
         
-        self.assertEqual(self.model.run([r, phi]), iq_x*iq_y)
-        self.assertEqual(self.model.runXY([x,y]), iq_x*iq_y)
+        #self.assertEqual(self.model.run([r, phi]), iq_x*iq_y)
+        self.assertEqual(self.model.run([r, phi]), self.model.run(r))
+        #self.assertEqual(self.model.runXY([x,y]), iq_x*iq_y)
+        self.assertEqual(self.model.runXY([x,y]), self.model.run(r))
         
 if __name__ == '__main__':
